Skip to content

Replace By Fee

Replace-By-Fee (RBF) allows resending an unconfirmed Ethereum transaction with a higher gas fee, replacing the original pending transaction to speed up confirmation on the network.

Only supports ETH series

Endpoint

POST https://api.mycactus.dev/custody/v1/api/projects/{b_id}/orders/{order_no}/accelerate
POST https://api.mycactus.com/custody/v1/api/projects/{b_id}/orders/{order_no}/accelerate

Parameters

Path Parameters

FieldTypeDescription
b_id
Required
StringBusiness line ID
order_no
Required
StringOrder ID

Body Parameters

FieldTypeDescription
level
Required
StringGas fee acceleration level. Applies a percentage increase on top of the estimated network fee to speed up transaction confirmation.
Allowed values: LEVEL1 (+15%), LEVEL2 (+20%), LEVEL3 (+30%), CUSTOM
gas_price
Optional
DecimalCustomize rate, level value must be CUSTOM

Request Body Example

request.json
{
    "level": "LEVEL2"
}

Response

Response Body

FieldTypeDescription
codeIntegerResponse code (0 = success)
messageStringResponse message
successfulBooleanWhether the request was successful
dataStringGas price

Response Example

{
    "code": 0,
    "message": "",
    "data": "25000000000",
    "successful": true
}